%define upstream_name    Tree
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A tree datastructure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Data::Dumper) >= 2.136.0
BuildRequires: perl(Exporter) >= 5.660.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::Deep) >= 0.88.0
BuildRequires: perl(Test::Exception) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Warn) >= 0.80.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is meant to be a full-featured N-ary tree representation with
configurable error-handling and a simple events system that allows for
transparent persistence to a variety of datastores. It is derived from the
Tree::Simple manpage, but has a simpler interface and much, much more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.50.0-10.mga10
+ Revision: 2201187
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.50.0-9.mga9
+ Revision: 1806495
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-8.mga8
+ Revision: 1497901
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.50.0-7.mga7
+ Revision: 1272394
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-6.mga6
+ Revision: 1035412
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.50.0-5.mga6
+ Revision: 935023
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 749895
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 686736
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 527406
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.50.0-1.mga4
+ Revision: 440048
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 374477
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.40.0-1.mga3
+ Revision: 317765
- update to 1.04

* Wed Nov 07 2012 jquelin <jquelin> 1.30.0-1.mga3
+ Revision: 315919
- update to 1.03

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 32522
- mageia rebuild
- imported package perl-Tree

